.colors-placeholder {
    /**/
    color: #DD6E42;
    color: #E8DAB2;
    color: #4F6D7A;
    color: #C0D6DF;
    color: #EAEAEA;
    color: #222
}
.border-test{
    border: 1px solid red;
}

* {
    box-sizing: border-box;
}

html {
    position: relative;
    min-height: 100%;
    font-size: 16px;
}

.content-wrap {
    display: flex;
    justify-content: center;

    width: 100%;

    padding: 2%;
    padding-bottom: 6vh;
}

main {
    min-height: 0;

    display: flex;
    flex-direction: column;
}

.text-section {
    max-width: 900px;
}

a {
    color: #222;
    transition: color 0.3s ease;
}
    a:hover {
        color: #DD6E42;
    }

body {
    display: flex;
    flex-direction: column;
    min-height: 100vh; /* Ensure the body takes up the full viewport height */
    margin: 0;
    padding: 0;

    background-color: #222;
    font-family: 'Lato', 'Inter', sans-serif;
    font-weight: 400;
    font-style: normal;
    line-height: 1.5;
    color: #EAEAEA;
}

p, label{
    color: #EAEAEA;
}

h6, .h6, h5, .h5, h4, .h4, h3, .h3, h2, .h2, h1, .h1 {
    margin-top: 0;
    margin-bottom: 0.5rem;
    font-weight: 500;
    line-height: 1.2;
    color: #EAEAEA;
}
h1{
    font-size: 3rem;
}
h2 {
    font-size: 2.5rem;
}
h3 {
    font-size: 2rem;
}
h4{
    font-size: 1.5rem;
}

fieldset {
    border: 0;
    margin: 0;
    padding: 0;
}

.d-none{
    display: none;
}
.hidden {
    display: none;
}
.text-color-white {
    color: #EAEAEA;
}
img {
    width: 24px;
    height: 24px;
}

/*========================== FOOTER ==========================*/
.footer-container {
    display: flex;
    justify-content: center;

    margin-top: auto;
    padding: 1rem;
    background-color: #4F6D7A;
}
    .footer-container h4, .footer-container p, .footer-container a {
        color: #EAEAEA;
    }
    .footer-container div {
        margin: 1.5rem 1rem;
        align-self: center;

        /*This is inherited from footer otherwise*/
        line-height: 0;
    }
    .footer-container a:hover {
        color: #DD6E42;
    }

    ul {
        list-style-type: none;
        margin: 0;
        padding: 0;
    }

/*========================== TABLE ==========================*/
table {
    font-family: arial, sans-serif;
    border-collapse: collapse;
    width: 100%;
    color: #EAEAEA;
}

td, th {
    border: 1px solid #dddddd;
    text-align: left;
    padding: 8px;
    color: #EAEAEA;
}

tbody tr:nth-child(odd) {
    background-color: #4F6D7A;
}

/*========================== MODAL ==========================*/
.modal {
    display: none;
    position: fixed;
    z-index: 1;
    left: 0;
    top: 0;
    width: 100%;
    height: 100%;
    overflow: auto;
    background-color: rgba(0, 0, 0, 0.4);
}

.modal-content {
    background-color: #fefefe;
    margin: 15% auto;
    padding: 20px;
    border: 1px solid #888;
    width: 80%;
}

.close {
    color: #aaa;
    float: right;
    font-size: 28px;
    font-weight: bold;
}

.close:hover,
.close:focus {
    color: black;
    text-decoration: none;
    cursor: pointer;
}

/*========================== BOX ==========================*/
.box {
    padding: 1rem;
    width: 100%;
    max-width: 500px;
    background-color: #3d3d3d;
    border-radius: 8px;
}
    .box button {
        margin: 8px 0;
    }
    .box input[type=text], .box input[type=number], .box select {
        padding: 12px 20px;
        margin: 8px 0;
        display: inline-block;
        border: 1px solid #ccc;
        border-radius: 4px;
        width: fit-content;
    }

    .box input[type=number] {
        width: 75px;
        padding-right: 8px;
    }

/*========================== BUTTON ==========================*/
button {
    display: inline-block;
    width: auto;
    padding: 0.75rem;
    border: none;
    border-radius: 4px;
    font-size: 1rem;
    cursor: pointer;
    background-color: #C0D6DF;
    transition: opacity 0.3s ease;
}
.button-danger{
    background-color: #DD6E42;
}
button:hover {
    opacity: 0.6;
}

.input-group {
    display: flex;
    flex-direction: column;
    width: fit-content;
}

/*Media for mobile screen size*/
@media (max-width: 768px) {
    main{
        margin: 2% 0% 3rem 0%;
    }

    .footer-container {
        flex-direction: column;
        align-items: center;
    }
    .footer-container h4 {
        text-align: center;
    }
    .footer-container div {
        margin: 0.5rem 0;
    }

    .box {
        border-radius: 4px;
    }
}

